@echo OFF
REM   Copyright 2023 Universitt Mnster
REM
REM   Licensed under the Apache License, Version 2.0 (the "License");
REM   you may not use this file except in compliance with the License.
REM   You may obtain a copy of the License at
REM
REM     http://www.apache.org/licenses/LICENSE-2.0
REM
REM   Unless required by applicable law or agreed to in writing, software
REM   distributed under the License is distributed on an "AS IS" BASIS,
REM   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM   See the License for the specific language governing permissions and
REM   limitations under the License.
REM
REM ################################################################################
REM #Skript zur Einrichtung der WLAN-SSIDs uni-ms und eduroam                      #
REM #unter Windows 10 und 11                                                       #
REM #Letzte nderung: 21.09.2023                                                   #
REM ################################################################################

setlocal enableextensions

cls

:prepareinstall
certutil.exe -addstore -user -f "user" "%~dp0rootca.cer"

netsh wlan delete profile wwu
netsh wlan delete profile uni-ms
netsh wlan delete profile eduroam
netsh wlan add profile filename="%~dp0WiFi-uni-ms.xml" user=all
netsh wlan add profile filename="%~dp0WiFi-eduroam.xml" user=all
goto :EOF

:exit
endlocal
